# core/plugs/ls.py
#
#

""" show available commands. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core import kernel

## CMNDS

def ls(event):
    rest = event.get_rest()
    obj = kernel
    for mod in rest.split("."):
       if not mod: continue
       try: obj = getattr(obj, mod)
       except AttributeError: break
    try: event.reply(", ".join([x.split(".")[-1] for x in sorted(obj.get_keys())]))
    except AttributeError:
        try: event.reply(", ".join(sorted(obj)))
        except TypeError: event.reply(obj)

kernel.cmnds.register("ls", ls)
